CMSIS-DSP: distance_functions_f16.h File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
distance_functions_f16.h File Reference

## Functions

float16_t | arm_euclidean_distance_f16 (const float16_t *pA, const float16_t *pB, uint32_t blockSize)
| Euclidean distance between two vectors. More...
float16_t | arm_braycurtis_distance_f16 (const float16_t *pA, const float16_t *pB, uint32_t blockSize)
| Bray-Curtis distance between two vectors. More...
float16_t | arm_canberra_distance_f16 (const float16_t *pA, const float16_t *pB, uint32_t blockSize)
| Canberra distance between two vectors. More...
float16_t | arm_chebyshev_distance_f16 (const float16_t *pA, const float16_t *pB, uint32_t blockSize)
| Chebyshev distance between two vectors. More...
float16_t | arm_cityblock_distance_f16 (const float16_t *pA, const float16_t *pB, uint32_t blockSize)
| Cityblock (Manhattan) distance between two vectors. More...
float16_t | arm_correlation_distance_f16 (float16_t *pA, float16_t *pB, uint32_t blockSize)
| Correlation distance between two vectors. More...
float16_t | arm_cosine_distance_f16 (const float16_t *pA, const float16_t *pB, uint32_t blockSize)
| Cosine distance between two vectors. More...
float16_t | arm_jensenshannon_distance_f16 (const float16_t *pA, const float16_t *pB, uint32_t blockSize)
| Jensen-Shannon distance between two vectors. More...
float16_t | arm_minkowski_distance_f16 (const float16_t *pA, const float16_t *pB, int32_t order, uint32_t blockSize)
| Minkowski distance between two vectors. More...